<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      data-namespace-typo3-fluid="true">
<f:layout name="Content"/>
<f:section name="Main">
    <f:if condition="{files}">
        <div class="o-cms-content">
            <div class="o-cms-content__body">
                <ul class="c-download-list">
                    <f:for each="{files}" as="file" iteration="fileIterator">
                        <li class="c-download-list__item">
                            <f:if condition="{data.uploads_type} == 1">
                                <img
                                    src="{f:uri.resource(path: 'Icons/FileIcons/{file.extension}.gif', extensionName: 'frontend')}"
                                    alt="">
                            </f:if>
                            <f:if condition="{data.uploads_type} == 2">
                                <f:if
                                    condition="{f:uri.image(src: 'file:{f:if(condition: file.originalFile, then: \'file:{file.originalFile.uid}\', else: \'file:{file.uid}\')}')} != '/'">
                                    <f:then>
                                        <a href="{file.publicUrl}" target="_blank" alt="{file.name}"
                                           title="Download {file.name}">
                                            <f:media file="{file}" width="150" alt="{file.properties.alternative}"/>
                                        </a>
                                    </f:then>
                                    <f:else>
                                        <img
                                            src="{f:uri.resource(path: 'Icons/FileIcons/{file.extension}.gif', extensionName: 'frontend')}"
                                            alt="">
                                    </f:else>
                                </f:if>
                            </f:if>

                            <f:if condition="{file.properties.title}">
                                <f:then>
                                    <a href="{file.publicUrl}"
                                       class="c-download-list__link icon--datei-leer icon--datei-{file.extension}"
                                       target="_blank"
                                       alt="{file.name}" title="Download {file.name}">
                                        {file.properties.title}
                                        <f:if condition="{file.properties.size}">
                                            <br/>
                                            <f:format.bytes value="{file.properties.size}"/>
                                        </f:if>
                                    </a>
                                </f:then>
                                <f:else>
                                    <a href="{file.publicUrl}"
                                       class="c-download-list__link icon--datei-leer icon--datei-{file.extension}"
                                       target="_blank"
                                       alt="{file.name}" title="Download {file.name}">
                                        <v:format.trim>{file.name}</v:format.trim>
                                        <f:if condition="{file.properties.size}">
                                            <br/>
                                            <f:format.bytes value="{file.properties.size}"/>
                                        </f:if>
                                    </a>
                                </f:else>
                            </f:if>
                            <f:if condition="{file.properties.description}">
						<span class="c-download-list__description">
							<v:format.trim>{file.properties.description}</v:format.trim>
						</span>
                            </f:if>
                        </li>
                    </f:for>
                </ul>
            </div>
        </div>
    </f:if>
</f:section>
</html>
